# Name

asflicense

# Category

Test

# Description

Runs the Apache Creadur project's Rat code to verify software licensing.
Currently, `ant`, `gradle`, and `maven` have built-in support. The Apache Yetus container image also provides the jar file in /opt/apache-rat.
For other build tools/scenarios, the rat jar will need to be provided.

# Environment Variables

None

# Options

Option | Notes
--- | ---
`--asflicense-rat-excludes=<path>` | When running rat outside of a build tool, specify the location of the exclusion file
`--asflicense-rat-jar=<path>` | When running rat outside of a build tool, specify the location of the Java jar file to execute. Defaults to /opt/apache-rat/apache-rat.jar

# Docker Notes

None

# Developer Notes

None